Luxor PlatformAPI DocumentationCommanderTickets

Unlink ticket devices

Removes devices from the ticket by asset id and releases any parts still reserved for them. Ids that are not linked are ignored.

POST
/v2/commander/tickets/{ticket_id}/devices/unlink

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Path Parameters

ticket_id*string

Ticket id (uuid).

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/commander/tickets/497f6eca-6276-4993-bfeb-53cbbbba6f08/devices/unlink" \  -H "Content-Type: application/json" \  -d '{    "asset_ids": [      "44e291e8-75e3-4d1e-84ca-4a7724578323"    ]  }'
{  "unlinked": 0,  "devices_not_returned": 0}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}
{  "statusCode": 403,  "code": "7",  "error": "Forbidden",  "message": "[permission_denied] site_id does not belong to this workspace"}
{  "statusCode": 404,  "code": "5",  "error": "Not Found",  "message": "[not_found] agent not found"}